/**
 * Default 部件模型
 *
 * @export
 * @class DefaultModel
 */
export default class DefaultModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof DefaultModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'n_cidname_like',
        prop: 'cidname',
        dataType: 'TEXT',
      },
      {
        name: 'n_clzl_eq',
        prop: 'clzl',
        dataType: 'SSCODELIST',
      },
      {
        name: 'n_cpxhname_eq',
        prop: 'cpxhname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'n_jqxdqfs_eq',
        prop: 'jqxdqfs',
        dataType: 'SSCODELIST',
      },
      {
        name: 'n_orgname_like',
        prop: 'orgname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'n_cpxhid_eq',
      },
    ]
  }

}